## fontconfig 2.1-14-jp1

=== debian/changelog ===
fontconfig (2.1-14-jp1) unstable; urgency=low

  * Apply JKUG special patch. See,
    http://www.kde.gr.jp/~akito/patch/fcpackage/
    for more detail.

 -- Masaharu 'Max' Goto <max@users.sourceforge.jp>  Thu,  13 Feb 2003 02:33:00 +0900

fontconfig (2.1-14) unstable; urgency=low

  * debian/patches/CVS-HEAD-subpixel-rendering-fix.patch:
    - New patch, should fix crashes when subpixel rendering is
    turned on (Closes: #175903).  Big thanks to
    Michael Guntsche <mike@it-loops.com> for extracting the relevant fix
    from CVS!

 -- Colin Walters <walters@debian.org>  Fri, 10 Jan 2003 13:30:28 -0500

fontconfig (2.1-13) unstable; urgency=low

  * debian/rocks:
    - Tighten up shlibs for libfontconfig1.

 -- Colin Walters <walters@debian.org>  Wed,  8 Jan 2003 22:34:53 -0500

fontconfig (2.1-12) unstable; urgency=low

  * debian/fontconfig.postinst:
    - Redirect fc-cache error messages to /var/log/fontconfig.log, and
    refer the user to this upon failure (Closes: #174507).

 -- Colin Walters <walters@debian.org>  Fri,  3 Jan 2003 15:04:05 -0500

fontconfig (2.1-11) unstable; urgency=low

  * debian/control:
    - Remove Build-Depends on zlib1g; instead Build-Depend on the very
    latest libfreetype6-dev which does this for us.
  * debian/fontconfig.postinst:
    - Display a little message about regenerating the fonts cache.

 -- Colin Walters <walters@debian.org>  Wed, 25 Dec 2002 01:08:05 -0500

fontconfig (2.1-10) unstable; urgency=low

  * debian/patches/fail-on-submake-failure.patch:
    - New patch.  This way at least the package won't build in the future
      if there is a failure.
  * debian/control:
    - Build-Depend on zlib1g-dev directly until freetype is fixed.
    - Change fontconfig section to utils.

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 21:37:25 -0500

fontconfig (2.1-9) unstable; urgency=low

  * The "<Overfiend> "*PANT* *PANT*  YEAH BABY!!!!
    FRESH COMMITS TO (freetype) CVS!!!!"  *PANT* *PANT*" release.
  * debian/control:
    - Build-Depend on the very latest freetype, the previous version of
    which was a CVS snapshot that broke the fontconfig build, and in fact
    the build of almost any package dependent on freetype; see #173834.
    Closes: #173900.
    - Build-Depend on debhelper (>= 4.1.1) since we use some features from
    it with CBS in this package (Closes: #173941).
  * debian/fontconfig.postinst:
    - New file, with the important contents stolen from Red Hat 8's
    postinst.  Thanks Anthony Fok <foka@debian.org>. (Closes: #173949).

 -- Colin Walters <walters@debian.org>  Sun, 22 Dec 2002 03:36:21 -0500

fontconfig (2.1-8) unstable; urgency=low

  * debian/control:
    - Build-Depend on xlibs-dev.  This should fix the issue with
    /usr/X11R6/lib/fonts or whatever being missing from fonts.conf.
    - Mention more prominently that fontconfig doesn't depend on X.
  * debian/rocks:
    - Install fc-cache, fc-list, and fontconfig manpages
    (Closes: #173748).

 -- Colin Walters <walters@debian.org>  Sat, 21 Dec 2002 02:54:36 -0500

fontconfig (2.1-7) unstable; urgency=low

  * debian/control:
    - [libfontconfig1-dev] Add a Conflicts: fontconfig (<< 2.1-5) so that
    we ensure upgrading happens in the correct order (due to
    fontconfig-config switching packages).

 -- Colin Walters <walters@debian.org>  Wed, 11 Dec 2002 00:48:31 -0500

fontconfig (2.1-6) unstable; urgency=low

  * debian/patches/no-date-in-fonts-conf.patch:
    - New patch; this will prevent the fonts.conf conffile from changing
    on every package upload.
  * debian/README.Debian:
    - Update.
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Tue, 10 Dec 2002 14:48:24 -0500

fontconfig (2.1-5) unstable; urgency=low

  * debian/libfontconfig1-dev.install:
    - Install fontconfig-config.
  * debian/fontconfig.install
    - Don't install fontconfig-config.
  * debian/control:
    - [libfontconfig1-dev] Add Depends: on libfreetype6-dev
    (Closes: #172488)
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Add debian/tmp/usr/lib/ to DEB_SHLIBDEPS_INCLUDE
      (Closes: #172432).
    - Ensure libfontconfig1 is built before fontconfig.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 23:54:06 -0500

fontconfig (2.1-4) unstable; urgency=low

  * debian/control:
    - Really Build-Depend on ed (Closes: #172245).  Now how did I add it
      to the changelog, but not control?  Don't ask me...)
  * debian/rules:
    - Update to the latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Mon,  9 Dec 2002 12:59:07 -0500

fontconfig (2.1-3) unstable; urgency=low

  * debian/control:
    - Build-Depend on ed.
  * debian/rules:
    - Update to the latest version of Colin's Build System.
  * debian/rocks:
    - Remove extra cruft in deb-extra-clean rule.

 -- Colin Walters <walters@debian.org>  Sun,  8 Dec 2002 20:58:26 -0500

fontconfig (2.1-2) unstable; urgency=low

  * First upload to unstable; Closes: #170559.
  * debian/rules:
    - Update to latest version of Colin's Build System.

 -- Colin Walters <walters@debian.org>  Fri,  6 Dec 2002 01:37:16 -0500

fontconfig (2.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules:
    - Use Colin's Build System.
  * debian/control:
    - Bump Standards-Version to 3.5.8.
  * debian/copyright:
    - Fix Upstream Authors.

 -- Colin Walters <walters@debian.org>  Tue,  3 Dec 2002 22:38:28 -0500

fontconfig (2.0-2) unstable; urgency=low

  * debian/control:
    - [fontconfig] New package; install configuration files and binaries in it.
    - [libfontconfig1-dev] Fix up description.

 -- Colin Walters <walters@debian.org>  Mon, 14 Oct 2002 23:06:59 -0400

fontconfig (2.0-1) unstable; urgency=low

  * Initial version.
  
 -- Colin Walters <walters@debian.org>  Sun, 13 Oct 2002 14:43:56 -0400
