=== debian/control ===
Source: fontconfig
Section: devel
Priority: optional
Maintainer: Colin Walters <walters@debian.org>
Build-Depends: debhelper (>= 4.1.1), libfreetype6-dev (>= 2.1.3-4), libexpat1-dev, xlibs-dev, ed
Standards-Version: 3.5.8

Package: fontconfig
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application.  The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.

Package: libfontconfig1-dev
Section: devel
Architecture: any
Depends: libfontconfig1 (= ${Source-Version}), libfreetype6-dev
Provides: libfontconfig-dev
Conflicts: libfontconfig-dev, fontconfig (<< 2.1-5)
Description: generic font configuration library (development files)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 See the "fontconfig" package description for more information.

Package: libfontconfig1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: generic font configuration library (shared library)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 See the "fontconfig" package description for more information.
