=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Colin's Build System
# Copyright © 2002 Colin Walters <walters@debian.org>
# $Id: rules,v 1.49 2003/01/01 19:57:26 walters Exp $

####################################
# DO NOT MODIFY THIS FILE DIRECTLY #
####################################

### Introduction to Colin's Build System #############################
# This file is shared between all the packages which use Colin's Build
# System.  The idea is that this file contains sane defaults, and
# stuff specific to a package should go into the debian/rocks Makefile
# fragment.  There generic hooks where you can override and add
# functionality for a specific package.

# The big motivating factor for CBS was originally that more and more
# programs today are created using GNU configure scripts and GNU
# automake, and as such they are all very similar to configure and
# build.  CBS takes advantage of this by doing stuff like looking for
# an executable file named "configure"; if it exists, CBS tries
# treating it like a GNU configure script, and passes it sane
# arguments (like --prefix=/usr).  This will work for like 90% of the
# cases out there (including at least all my packages).  But if it
# doesn't work, no problem; you can customize or just completely
# override it the debian/rocks file.  For example, suppose that you
# need to pass "--enable-foo" to the configure script.  In that case,
# all you need to do is create a file named debian/rocks, which
# contains:

# DEB_CONFIGURE_EXTRA_FLAGS := --enable-foo

# And that's it!  Everything else happens automagically.  However,
# suppose that your "configure" script isn't made by autoconf, and
# instead expects the user to interactively configure the program
# (e.g. Perl).  In that case, you can just override the
# "deb-common-configure" rule, by putting something like the following
# in your debian/rocks:

# deb-common-configure:
#	./configure --blah --blargh < debian/answers

# All of the rules which are overridable are listed below, up to the
# line "-include debian/rocks".  There are also a large group of
# variables you may customize to affect a default rule, instead of of
# just overriding the rule completely.

# CBS also helps you keep up-to-date with the latest policy; when
# there is a new DEB_BUILD_OPTIONS entry, or they change semantics (as
# in the latest "debug" => "noopt" change), you shouldn't have to
# change anything in your packages (besides rebuilding them with the
# latest CBS version); CBS will just handle it.

### CBS and Debhelper ################################################
# Colin's Build System currently relies heavily on debhelper version
# 4, so you must have a Build-Depends: debhelper (>= 4.0.0).

### Single vs. Multi Binary packages #################################
# If you have a single binary package, CBS tries to use the upstream
# Makefile to install everything into debian/packagename, so it will
# all appear in the binary package.  To remove files, move them
# around, just override the deb-binary-hook-<packagename> target in
# the debian/rocks file, like:

# deb-binary-hook-mypackage:
#	mv debian/mypackage/usr/sbin/myprogram debian/mypackage/usr/bin/myprogram
#	rm debian/mypackage/usr/share/doc/mypackage/INSTALL

# If you have a multi-binary package, CBS (by default) uses the
# upstream Makefile to install everything in debian/tmp.  After this,
# the recommended method is to use dh_install to copy these files into
# the appropriate package.  To do this, just create
# "packagename.install" files; see the dh_install man page.

### Common Problems ##################################################

# Are you having problems with your package not building with the
# default deb-common-build rule?  This could be because of CFLAGS
# issues.  If it doesn't work, then your upstream's build system is
# broken.  You should be able to set CFLAGS to contain the
# optimization and debugging settings you want, and this shouldn't
# frob any -I or other internal arguments the upstream build system
# needs.  One way to fix this is to have upstream fix their Makefile
# to do something like:

# # This is the default set of optimization and debugging flags, which
# # can be overridden with a CFLAGS passed to the make invocation.
# CFLAGS = -g -O2
# # Now add specific stuff we need.
# override CFLAGS += -I. -I.. -ffrob-stuff

# On a related note, if you want to have a nice, easy-to-maintain,
# working build system, try to convince your upstream to switch to
# automake, autoconf, and libtool.

### The latest version of CBS ########################################
# The canonical source for Colin's Build System is:
# http://cvs.verbum.org/debian/rules

# Note that you can easily update your current version by running:
# debian/rules update

# Are you keeping your Debian packages in CVS?  In that case, it would
# probably be a good idea to disable keyword expansion for this file,
# so debian/rules update won't get confused.  Run:
# cvs admin -ko debian/rules

### Hooks which are overridable ######################################

## This target is called before almost anything else; in particular,
## it is called even before patches are applied.  This is a good place
## to do stuff like generate a debian/control from debian/control.xml,
## etc.
deb-pre-build:
	 # Nothing to do by default.

## This target is called after patches are applied, but before
## configure scripts or anything else are run.  This is a good place
## to do wacky stuff like:
## 'find . -name 'Makefile.in' -exec touch {} \;'.
deb-post-patches:
	 # Nothing to do by default.

## This target is called after patches are applied (i.e. after
## deb-post-patches).  It is, as its name implies, a good place to run
## GNU configure scripts or the like.
deb-common-configure:
	if [ -x ./configure ]; then $(DEB_CONFIGURE_INVOKE) --prefix=$(DEB_CONFIGURE_PREFIX) --mandir=$(DEB_CONFIGURE_MANDIR) --infodir=$(DEB_CONFIGURE_INFODIR) --sysconfdir=$(DEB_CONFIGURE_SYSCONFDIR) --localstatedir=$(DEB_CONFIGURE_LOCALSTATEDIR) --libexecdir=$(DEB_CONFIGURE_LIBEXECDIR) --disable-maintainer-mode $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_USER_CONFIGURE_FLAGS); fi

## This target is for configuring a specific package.  It is called
## once for each package.
deb-configure-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may prefix arbitrary commands to
## the general build, but not override the default.  It is called
## before deb-common-build.
deb-extra-pre-common-build::
	 # Nothing to do by default.

## This target is called after common configuration (but not
## necessarily after package-specific configuration).  Generally, this
## is a good place to invoke make and the like.  Note that if you do
## package-specific configuration, you should likely override this
## rule to do nothing, and then do package-specific building in
## deb-build-<package>.
deb-common-build:
	if [ -f Makefile ]; then \
	  $(DEB_MAKE_ENVVARS) $(MAKE) CC="$(CC)" CXX="$(CXX)" CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(DEB_BUILD_MAKE_TARGET); \
	fi

## This is an "extra" rule, where you may add arbitrary commands to
## the general build, but not override the default.  It is called
## after deb-common-build.
deb-extra-common-build:: deb-common-build
	 # Nothing to do by default.

## This target is called once for each package, after package-specific
## configuration; it is for doing any building to a specific package.
deb-build-%:
	 # Nothing to do by default.

## This is an "extra" rule, where you may add arbitrary commands to
## the package-specific build, but not override the default.  It is
## called after deb-build-<package>.
deb-extra-build-%: deb-build-%
	 # Nothing to do by default.

## This target is called after pre-build, and before any configuration
## takes place.  It is designed to automatically update
## config.{sub,guess} files which are used by packages which use GNU
