## fontconfig 2.3.2-1osso3

=== debian/changelog ===
fontconfig (2.3.2-1osso3) unstable; urgency=low

  * Removing things that shouldn't be here in first place

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 11 May 2005 09:56:28 +0300

fontconfig (2.3.2-1osso2) unstable; urgency=high

  * Prefixing the defines to resolve naming conflicts

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue,  3 May 2005 14:01:04 +0300

fontconfig (2.3.2-1osso1) unstable; urgency=low

  * Updated to upstrem release 2.3.2
  * Added header file device_symbols.h for hardware button glyphs

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri, 29 Apr 2005 12:33:19 +0300

fontconfig (2.3.1-1osso4) unstable; urgency=low

  * Fixing the GConf key location
  * Changing the key value from 2.35 to 1.7

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 26 Apr 2005 09:36:54 +0300

fontconfig (2.3.1-1osso3) unstable; urgency=low

  * Added patches and performance improvements

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 20 Apr 2005 09:14:39 +0300

fontconfig (2.3.1-1osso2) unstable; urgency=low

  * Fixes problem with missing dependengy on gconf2

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Mon,  4 Apr 2005 15:28:14 +0300

fontconfig (2.3.1-1osso1) unstable; urgency=low

  * Updated to latest fontconfig upstream release

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 16 Mar 2005 15:30:32 +0200

fontconfig (2.2.97-1osso4) unstable; urgency=low

  * Added all the logical content font aliases

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 15 Feb 2005 11:31:52 +0200

fontconfig (2.2.97-1osso3) unstable; urgency=low

  * modified the debug to inline so that the calls don't happen

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 26 Jan 2005 08:51:23 +0200

fontconfig (2.2.97-1osso2) unstable; urgency=low

  * added dh_makeshlibs -V 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri, 21 Jan 2005 14:50:47 +0200

fontconfig (2.2.97-1osso1) unstable; urgency=low

  * New upstream release, applying all our patches

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  9 Dec 2004 11:18:41 +0200

fontconfig (2.2.96-1osso9) unstable; urgency=low

  * Optimized for speed (removed useless sections)
  * Added support for fonts
  * FIXES bug

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  3 Dec 2004 14:42:46 +0200

fontconfig (2.2.96-1osso8) unstable; urgency=low

  * FIXES bug - missing dependencies on libexpat1-dev

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  5 Nov 2004 16:11:57 +0200

fontconfig (2.2.96-1osso7) unstable; urgency=low

  * FIXES bug: strip vs dh_strip 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  4 Nov 2004 10:57:21 +0200

fontconfig (2.2.96-1osso6) unstable; urgency=low

  * Build dependencies to zlib, expat, freetype added

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue,  2 Nov 2004 16:10:38 +0200

fontconfig (2.2.96-1osso5) unstable; urgency=low

  * Added new fonts

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 18 Oct 2004 14:44:06 +0300

fontconfig (2.2.96-1osso4) unstable; urgency=low

  * Added new patch for decreased floating point usage
  * Added build-dependencies on zlib and expat dev packages
  * Changed version numbering

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 18 Oct 2004 09:50:59 +0300

fontconfig (2.2.96-1osso3) unstable; urgency=low

  * New source creation from patches
  * Removes FcDebug functionality for improved speed

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 14 Oct 2004 10:13:52 +0300

fontconfig (2.2.96-1osso2) unstable; urgency=low

  * FIXES bug

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 13 Oct 2004 11:43:42 +0300

fontconfig (2.2.96-1osso1) unstable; urgency=low

  * Initial release of internal Fontconfig
  * Added some unsupported font sent
  * Explicit autohinting and antialiasing
  * Hinting off for FreeSans

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 14 Sep 2004 14:33:19 +0300
