=== debian/control ===
Source: fontconfig
Section: devel
Priority: optional
Maintainer:  Jakub Pavelek <jakub.pavelek@nokia.com>
Standards-Version: 3.5.9
Build-Depends: zlib1g-dev, libfreetype6-dev, libexpat1-dev, tar, gzip

Package: fontconfig
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libfreetype6 (>= 2.1.9-1osso), libfontconfig1 (>= 2.2.96-1osso), gconf2
Description: generic font configuration library
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.
 .
 Fontconfig is not a rasterization library, nor does it impose a
 particular rasterization library on the application.  The X-specific
 library 'Xft' uses fontconfig along with freetype to specify and
 rasterize fonts.
 .
 This package contains a program to maintain the fontconfig cache
 (fc-cache), and a sample program to list installed fonts (fc-list).

Package: libfontconfig1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libfreetype6 (>= 2.1.9-1osso)
Description: generic font configuration library (shared library)
 Fontconfig is a font configuration and customization library, which
 does not depend on the X Window System.  It is designed to locate
 fonts within the system and select them according to requirements
 specified by applications.

Package: libfontconfig1-dev
Section: libs
Architecture: any
Depends: libfontconfig1 (>= 2.2.96-1osso), libfreetype6-dev (>= 2.1.9-1osso), libexpat1-dev
Conflicts: libfontconfig-dev, fontconfig (<< 2.1-5)
Description: Development package for Fontconfig.
 Headers and documentation.

Package: libfontconfig1-dbg
Section: libs
Architecture: any
Depends: libfreetype6 (>= 2.1.9-1osso), libfontconfig1
Description: Debugging symbols for the Xft.
 This one goes to /usr/lib/debug and shadows the /usr/lib/ shared libraries.
