## fontconfig 2.3.2-1osso7

=== debian/changelog ===
fontconfig (2.3.2-1osso7) unstable; urgency=low

  * And fixing their location again

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 13 Sep 2005 12:22:05 +0300

fontconfig (2.3.2-1osso6) unstable; urgency=low

  * Moving files around 

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue,  6 Sep 2005 16:53:24 +0300

fontconfig (2.3.2-1osso5) unstable; urgency=low

  * Fixing the licensing and copyright info in device_symbols.h

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu,  7 Jul 2005 11:30:39 +0300

fontconfig (2.3.2-1osso4) unstable; urgency=low

  * Changing the font scaling from 1.7 to 1.5

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Mon, 23 May 2005 09:57:08 +0300
