=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,12 @@
 	tar -xzf fontconfig-$(PV).tar.gz
 	mv fontconfig-$(PV) fontconfig
 	patch -p0 < fontconfig-const.patch
-	#patch -p0 < fontconfig-static-object.patch 
+	#patch -p0 < fontconfig-static-object.patch  in upstream already
 	patch -p0 < fontconfig-nodebug.patch
 	patch -p0 < fontconfig-lessfloat.patch
 	patch -p0 < fontconfig-optimize_config.patch
 	patch -p0 < fontconfig-newtimes-nohint.patch
-	#patch -p0 < fontconfig-even_less_debug.patch
+	#patch -p0 < fontconfig-even_less_debug.patch not working
 	cd fontconfig && patch -p0 < ../fontconfig-remove-i18n.patch
 	cd fontconfig && ./configure --prefix=/usr --sysconfdir=/etc
 	touch configure-stamp
@@ -63,6 +63,7 @@
 	mv $(CURDIR)/debian/libfontconfig1/usr/lib/pkgconfig $(CURDIR)/debian/libfontconfig1-dev/usr/lib/
 	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig/*.* $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/
 	mv $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/fontconfig $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev
+	mv $(CURDIR)/debian/fontconfig/usr/share/doc/fontconfig/*.{pdf,html,txt} $(CURDIR)/debian/libfontconfig1-dev/usr/share/doc/libfontconfig1-dev/
 	dh_strip 
 	install -d $(CURDIR)/debian/fontconfig/etc/gconf/schemas
 	install -m 644 hildon_fontconfig.schemas $(CURDIR)/debian/fontconfig/etc/gconf/schemas/
