## fontconfig 2.3.2-1osso14

=== debian/changelog ===
fontconfig (2.3.2-1osso14) unstable; urgency=low

  * Added dependency on gconf2 for fontconfig.

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 14 Jun 2006 11:03:35 +0300

fontconfig (2.3.2-1osso13) unstable; urgency=low

  * Added missing .la file to the -dev package

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 14 Jun 2006 11:03:33 +0300

fontconfig (2.3.2-1osso11) unstable; urgency=low

  * Fixed the packaging (missing .install files)

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  9 Jun 2006 12:56:16 +0300

fontconfig (2.3.2-1osso9) unstable; urgency=low

  * Updated build-dependencies, moved file between lib and dev package

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 12 Apr 2006 11:41:17 +0300

fontconfig (2.3.2-1osso8) unstable; urgency=low

  * SDK fixes

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  7 Oct 2005 10:48:02 +0300
