## fontconfig 2.4.1-1osso1

=== debian/changelog ===
fontconfig (2.4.1-1osso1) unstable; urgency=low

  * Updated to upstream version 2.4.1
  * Ported our optimization and config patches
  * Interesting reading: https://bugs.freedesktop.org/show_bug.cgi?id=8428
    alond the lines of "valgrind is confused, this is not a bug".
  * We have the memory mapped config in.
  * Fixes: NB#36277, NB#24745

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Thu, 28 Sep 2006 14:44:22 +0300

fontconfig (2.3.95-1osso1) unstable; urgency=low

  * Upstream update
  * using 2.3.95 version
  * removed already integrated patches from build
  * added thumb compilation to Debian build options, fixes NB#26665
  * added dh_fixperms, fixes NB#33546
  * changed the way debug package is built, added shlibs generation, fixes
    NB#34018
  * Missing ldconfig call (updated compat level from 3 to 4), fixes NB#34020
  * Removed static lib from -dev package. Fixed NB#34022

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Wed, 12 Jul 2006 11:24:08 +0300

fontconfig (2.3.2-2osso3) unstable; urgency=low

  * Removed the static lib to keep the dev package architecture agnostic

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri,  7 Jul 2006 16:00:07 +0300

fontconfig (2.3.2-2osso2) unstable; urgency=low

  * Added dependency on gconf2 for fontconfig.

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu, 22 Jun 2006 17:45:00 +0300

fontconfig (2.3.2-2osso1) unstable; urgency=low

  * Bumping up for next OS version

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Tue, 13 Jun 2006 17:33:30 +0300
