## fontconfig 2.4.1-1osso2

=== debian/changelog ===
fontconfig (2.4.1-1osso2) unstable; urgency=low

  * Fixes: NB#46649 

 -- Richard Sun <Richard.Sun@nokia.com>  Mon, 20 Nov 2006 12:59:33 +0200
