## fontconfig 2.4.1-1osso5

=== debian/changelog ===
fontconfig (2.4.1-1osso5) unstable; urgency=low

  * Fixes: NB#70068

 -- Richard Sun <richard.sun@nokia.com>  Tue, 12 Feb 2008 15:26:41 +0200

fontconfig (2.4.1-1osso4) unstable; urgency=low

  * Updated: disable hinting for monotype font

 -- Richard Sun <richard.sun@nokia.com>  Tue, 12 Feb 2008 14:02:31 +0200

fontconfig (2.4.1-1osso3) unstable; urgency=low

  * New "LOCK" key introduced

 -- Jakub Pavelek <jakub.pavelek@nokia.com>  Fri, 11 May 2007 17:00:45 +0300
